LibreOffice: XXMLSecurityTemplate Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XXMLSecurityTemplate Interface Reference

Interface of the XML security template. More...

`import"XXMLSecurityTemplate.idl";`

Inheritance diagram for XXMLSecurityTemplate:

## Public Member Functions
void | setTemplate ([in] com::sun::star::xml::wrapper::XXMLElementWrapper aXmlElement) raises ( com::sun::star::lang::IllegalArgumentException )
| Load a XML signature template from XML signature element. More...
com::sun::star::xml::wrapper::XXMLElementWrapper | getTemplate ()
| Get the XML signature element that represents the signature template. More...
void | setTarget ([in] com::sun::star::xml::wrapper::XXMLElementWrapper aXmlElement) raises ( com::sun::star::lang::IllegalArgumentException )
| Load the target XML element, i.e. More...
void | setStatus ([in] SecurityOperationStatus status) raises ( com::sun::star::lang::IllegalArgumentException )
| Set the template status. More...
SecurityOperationStatus | getStatus ()
| Get the template status. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of the XML security template.

This interface represents a security template, which is the super interface of the XXMLSignatureTemplate interface and the XXMLEncryptionTemplate interface.

## Member Function Documentation

## ◆ getStatus()

SecurityOperationStatus getStatus | ( |  | ) |

Get the template status.

## ◆ getTemplate()

com::sun::star::xml::wrapper::XXMLElementWrapper getTemplate | ( |  | ) |

Get the XML signature element that represents the signature template.

## ◆ setStatus()

void setStatus | ( | [in] SecurityOperationStatus | status | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Set the template status.

## ◆ setTarget()

void setTarget | ( | [in] com::sun::star::xml::wrapper::XXMLElementWrapper | aXmlElement | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Load the target XML element, i.e.

the element to be signed

## ◆ setTemplate()

void setTemplate | ( | [in] com::sun::star::xml::wrapper::XXMLElementWrapper | aXmlElement | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Load a XML signature template from XML signature element.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/XXMLSecurityTemplate.idl